{
    "$graph": [
        {
            "label": "cluster_blastp_wnode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 5000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=0; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=1; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.lds2)",
                            "writable": true
                        },
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "cluster_blastp_wnode",
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-align_filter"
                    },
                    "id": "#cluster_blastp_wnode.cwl/align_filter"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-allow-intersection"
                    },
                    "id": "#cluster_blastp_wnode.cwl/allow_intersection"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#cluster_blastp_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-backlog"
                    },
                    "id": "#cluster_blastp_wnode.cwl/backlog"
                },
                {
                    "type": "Directory",
                    "id": "#cluster_blastp_wnode.cwl/blastdb_dir"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-comp_based_stats"
                    },
                    "id": "#cluster_blastp_wnode.cwl/comp_based_stats"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-compart"
                    },
                    "id": "#cluster_blastp_wnode.cwl/compart"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-dbsize"
                    },
                    "id": "#cluster_blastp_wnode.cwl/dbsize"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-delay"
                    },
                    "id": "#cluster_blastp_wnode.cwl/delay"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-evalue"
                    },
                    "id": "#cluster_blastp_wnode.cwl/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-extra-coverage"
                    },
                    "id": "#cluster_blastp_wnode.cwl/extra_coverage"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#cluster_blastp_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#cluster_blastp_wnode.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-jobs"
                    },
                    "id": "#cluster_blastp_wnode.cwl/max_jobs"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max_target_seqs"
                    },
                    "id": "#cluster_blastp_wnode.cwl/max_target_seqs"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-no-merge"
                    },
                    "id": "#cluster_blastp_wnode.cwl/no_merge"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#cluster_blastp_wnode.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ofmt"
                    },
                    "id": "#cluster_blastp_wnode.cwl/ofmt"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#cluster_blastp_wnode.cwl/output_dir"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#cluster_blastp_wnode.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-seg"
                    },
                    "id": "#cluster_blastp_wnode.cwl/seg"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-short-protein-threshold"
                    },
                    "id": "#cluster_blastp_wnode.cwl/short_protein_threshold"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-soft_masking"
                    },
                    "id": "#cluster_blastp_wnode.cwl/soft_masking"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-threshold"
                    },
                    "id": "#cluster_blastp_wnode.cwl/threshold"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-top-by-score"
                    },
                    "id": "#cluster_blastp_wnode.cwl/top_by_score"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-word_size"
                    },
                    "id": "#cluster_blastp_wnode.cwl/word_size"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-workers"
                    },
                    "id": "#cluster_blastp_wnode.cwl/workers"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-workers-per-cpu"
                    },
                    "id": "#cluster_blastp_wnode.cwl/workers_per_cpu"
                }
            ],
            "id": "#cluster_blastp_wnode.cwl",
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#cluster_blastp_wnode.cwl/outdir"
                }
            ]
        },
        {
            "label": "gpx_qdump",
            "class": "CommandLineTool",
            "arguments": [
                "-produce-empty-file"
            ],
            "baseCommand": "gpx_qdump",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_qdump.cwl/unzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/output"
                }
            ],
            "id": "#gpx_qdump.cwl"
        },
        {
            "class": "Workflow",
            "label": "cluster_blastp_wnode and gpx_qdump combined",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/align_filter"
                },
                {
                    "type": "boolean",
                    "id": "#main/allow_intersection"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#main/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#main/blastdb_dir"
                },
                {
                    "type": "string",
                    "id": "#main/comp_based_stats"
                },
                {
                    "type": "boolean",
                    "id": "#main/compart"
                },
                {
                    "type": "string",
                    "id": "#main/dbsize"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/extra_coverage"
                },
                {
                    "type": "File",
                    "id": "#main/input_jobs"
                },
                {
                    "type": "File",
                    "id": "#main/lds2"
                },
                {
                    "type": "int",
                    "id": "#main/max_jobs"
                },
                {
                    "type": "int",
                    "id": "#main/max_target_seqs"
                },
                {
                    "type": "boolean",
                    "id": "#main/no_merge"
                },
                {
                    "type": "boolean",
                    "id": "#main/nogenbank"
                },
                {
                    "type": "string",
                    "id": "#main/ofmt"
                },
                {
                    "type": "File",
                    "id": "#main/proteins"
                },
                {
                    "type": "string",
                    "id": "#main/seg"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/short_protein_threshold"
                },
                {
                    "type": "string",
                    "id": "#main/soft_masking"
                },
                {
                    "type": "int",
                    "id": "#main/threshold"
                },
                {
                    "type": "int",
                    "id": "#main/top_by_score"
                },
                {
                    "type": "int",
                    "id": "#main/word_size"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gpx_qdump/output",
                    "id": "#main/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#cluster_blastp_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/align_filter",
                            "id": "#main/cluster_blastp_wnode/align_filter"
                        },
                        {
                            "source": "#main/allow_intersection",
                            "id": "#main/cluster_blastp_wnode/allow_intersection"
                        },
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/cluster_blastp_wnode/asn_cache"
                        },
                        {
                            "source": "#main/blastdb_dir",
                            "id": "#main/cluster_blastp_wnode/blastdb_dir"
                        },
                        {
                            "source": "#main/comp_based_stats",
                            "id": "#main/cluster_blastp_wnode/comp_based_stats"
                        },
                        {
                            "source": "#main/compart",
                            "id": "#main/cluster_blastp_wnode/compart"
                        },
                        {
                            "source": "#main/dbsize",
                            "id": "#main/cluster_blastp_wnode/dbsize"
                        },
                        {
                            "source": "#main/evalue",
                            "id": "#main/cluster_blastp_wnode/evalue"
                        },
                        {
                            "source": "#main/extra_coverage",
                            "id": "#main/cluster_blastp_wnode/extra_coverage"
                        },
                        {
                            "source": "#main/input_jobs",
                            "id": "#main/cluster_blastp_wnode/input_jobs"
                        },
                        {
                            "source": "#main/lds2",
                            "id": "#main/cluster_blastp_wnode/lds2"
                        },
                        {
                            "source": "#main/max_jobs",
                            "id": "#main/cluster_blastp_wnode/max_jobs"
                        },
                        {
                            "source": "#main/max_target_seqs",
                            "id": "#main/cluster_blastp_wnode/max_target_seqs"
                        },
                        {
                            "source": "#main/no_merge",
                            "id": "#main/cluster_blastp_wnode/no_merge"
                        },
                        {
                            "source": "#main/nogenbank",
                            "id": "#main/cluster_blastp_wnode/nogenbank"
                        },
                        {
                            "source": "#main/ofmt",
                            "id": "#main/cluster_blastp_wnode/ofmt"
                        },
                        {
                            "source": "#main/proteins",
                            "id": "#main/cluster_blastp_wnode/proteins"
                        },
                        {
                            "source": "#main/seg",
                            "id": "#main/cluster_blastp_wnode/seg"
                        },
                        {
                            "source": "#main/short_protein_threshold",
                            "id": "#main/cluster_blastp_wnode/short_protein_threshold"
                        },
                        {
                            "source": "#main/soft_masking",
                            "id": "#main/cluster_blastp_wnode/soft_masking"
                        },
                        {
                            "source": "#main/threshold",
                            "id": "#main/cluster_blastp_wnode/threshold"
                        },
                        {
                            "source": "#main/top_by_score",
                            "id": "#main/cluster_blastp_wnode/top_by_score"
                        },
                        {
                            "source": "#main/word_size",
                            "id": "#main/cluster_blastp_wnode/word_size"
                        },
                        {
                            "default": 1.0,
                            "id": "#main/cluster_blastp_wnode/workers_per_cpu"
                        }
                    ],
                    "out": [
                        "#main/cluster_blastp_wnode/outdir"
                    ],
                    "id": "#main/cluster_blastp_wnode"
                },
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#main/cluster_blastp_wnode/outdir",
                            "id": "#main/gpx_qdump/input_path"
                        },
                        {
                            "default": "*",
                            "id": "#main/gpx_qdump/unzip"
                        }
                    ],
                    "out": [
                        "#main/gpx_qdump/output"
                    ],
                    "id": "#main/gpx_qdump"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
